/// <reference types="react" />
import * as React from 'react';
import { Props as LabelProps, Action, labelID } from '../Label';
export { Action, labelID };
export declare type Error = boolean | string;
export interface Props {
    id: LabelProps['id'];
    label: string;
    error?: Error;
    action: LabelProps['action'];
    helpText?: React.ReactNode;
    children?: React.ReactNode;
    labelHidden?: boolean;
}
export default function Labelled({id, label, error, children, labelHidden, helpText, ...rest}: Props): JSX.Element;
export declare function errorID(id: string): string;
export declare function helpTextID(id: string): string;
